[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStrings.Names

Name parts of the name-value pairs in the list.

## Declaration

Source position: classesh.inc line 691

`public property TStrings.Names : string read GetName;`

## Description

Names provides indexed access to the names of the name-value pairs in the list. It returns the name part of the Index-th string in the list.

Remark: | The index is not an index based on the number of name-value pairs in the list. It is the name part of the name-value pair a string Index in the list. If the string at position Index is not a name-value pair (i.e. does not contain the equal sign (=)), then an empty name is returned.

## See also

TStrings.Values |  | Value parts of the name-value pairs in the list.
TStrings.IndexOfName |  | Finds the index of a name in the name-value pairs.

Documentation generated on: Feb 26 2014